Admin A P I
Get extension settings
Returns the auto-render form schema (with current public values) for an extension that registered a settings definition.
GET
/api/admin/extensions/{extension}/settingsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
extension*string
The extension.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/extensions/architecto/settings"{ "data": { "registered": true, "schema": [ { "input": "curseforge_api_key", "label": "CurseForge API Key", "help": "Leave blank to keep the stored key.", "field": "password", "options": [ { "value": "string", "label": "Recommended" } ], "value": "string" } ] }}